#pragma once

#include <vector>
#include <osg/Referenced>
#include <osg/ref_ptr>
#include <OpenThreads/Barrier>

#include "ThreadedWorker.h"
#include "IGConnector.h"


class SimHost :	public osg::Referenced
{
public:
	SimHost();
	~SimHost();

	void initialize();
	void run();

private:
	bool done;
	int numberofChannels;
	OpenThreads::Barrier _frameBarrier;
	std::vector<osg::ref_ptr<IGConnector> > _IGConnectors;
	std::vector<osg::ref_ptr<ThreadedWorker> > _threadObjects;

};
